Subject: Re: mvneta: oops in __rcu_read_lock on mirabox

From: Willy Tarreau <[email-masked]>
Date: Mon, 16 Sep 2013 18:44:12 +0200

On Mon, Sep 16, 2013 at 06:39:37PM +0200, Willy Tarreau wrote:
> On Mon, Sep 16, 2013 at 09:35:16AM -0700, Ethan Tuttle wrote:
> > On Mon, Sep 16, 2013 at 8:51 AM, Thomas Petazzoni
> > <[email-masked]> wrote:
> > > Willy, Ethan,
> > >
> > > On Mon, 16 Sep 2013 08:50:47 +0200, Willy Tarreau wrote:
> > >
> > >> I'm currently testing on 3.11.1 (which I had here) and am not getting
> > >> any issue after 50M packets. My kernel is running in thumb mode and
> > >> without SMP.
> > >>
> > >> Ethan, we'll need your config I guess.
> > >
> > > Can both of you also report the U-Boot version you're using, and the
> > > SoC revision (it's visible in the U-Boot output).
> > 
> > Mine says:
> > 
> > U-Boot 2009.08 (Sep 16 2012 - 22:50:06)Marvell version: 1.1.2 NQ
> > SoC:   MV6710 A1
> 
> I just checked on my old captures and I have the same here, with more
> details such as the CPU's revision (Rev 1) :
> 
>    http://1wt.eu/articles/mirabox-vs-guruplug/

BTW Ethan, I don't know if you have already opened your mirabox, but on the
link above you'll find settings for trying other frequencies for the CPU. It
could be nice to try 1 GHz with L2/DDR @500 instead of 1200/600 to see if the
issue remains or not. If it disappears, there's also a working setting with
[email-masked], L2@800M and DDR@400M to help find if CPU, L2 or DDR is the culprit.

Willy